#ifndef _JESD_TEST_CASE42_H_
#define _JESD_TEST_CASE42_H_
#if 0
#define JESD_98_NR7DS2U_TX_SLOT_EVEN_F7SYMBOL_ADDR		0x60F00000	// SM2
#define JESD_98_NR7DS2U_TX_SLOT_ODD_F7SYMBOL_ADDR		0x60FF0400	// SM2
#define JESD_98_NR7DS2U_TX_SLOT_EVEN_B7SYMBOL_ADDR		0x61380000	// SM5
#define JESD_98_NR7DS2U_TX_SLOT_ODD_B7SYMBOL_ADDR		0x61290400	// SM4

#define JESD_98_NR7DS2U_RX_SLOTS_DATA_ADDR				0x6BC00000
#define JESD_98_NR7DS2U_RX_SLOT_EVEN_DATA_ADDR			0x6BC44800	// 0x6BC00000
#define JESD_98_NR7DS2U_RX_SLOT_ODD_DATA_ADDR			0x6BD34800	// 0x6BC78200
#endif

void jesd_test_init();

void jesd_data_init();

void jesd_test_csu_init();

void jesd_tx_data_init();

void jesd_csu_config();

void jesd_test_case();

#endif

